Delete documents older than a specified timestamp
curl --request DELETE \
--url https://app.withrealm.com/api/external/alpha/documents/{data_source_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.withrealm.com/api/external/alpha/documents/{data_source_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.withrealm.com/api/external/alpha/documents/{data_source_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.withrealm.com/api/external/alpha/documents/{data_source_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://app.withrealm.com/api/external/alpha/documents/{data_source_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.withrealm.com/api/external/alpha/documents/{data_source_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"message": "Deletion started successfully. Documents will be deleted asynchronously.",
"details": {
"data_source_id": "ds_kb_main",
"older_than": "2024-03-20T10:00:00Z",
"deleted_count": 12
}
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Documents
Delete documents older than a specified timestamp
Delete documents older than a specified timestamp. This endpoint requires a Data Source ID. To get started:
- Go to the API Connectors page
- Create a new API Connector
- Copy the data source ID from the connector details page
- Use this ID in the path parameter
Rate Limits
600 requests per minute.
DELETE
/
documents
/
{data_source_id}
Delete documents older than a specified timestamp
These endpoints require a custom API data source. See Custom API for setup instructions.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the custom API data source.
Query Parameters
Delete documents whose updatedAt is older than this ISO 8601 timestamp.

